var search_data = {"index":{"searchIndex":["serialport","baud()","baud=()","break()","create()","cts()","data_bits()","data_bits=()","dcd()","dsr()","dtr()","dtr=()","flow_control()","flow_control=()","flush_input()","flush_output()","get_modem_params()","get_signals()","modem_params()","modem_params=()","new()","open()","parity()","parity=()","read_timeout()","read_timeout=()","ri()","rts()","rts=()","set_modem_params()","signals()","stop_bits()","stop_bits=()","write_timeout()","write_timeout=()","license","readme","makefile"],"longSearchIndex":["serialport","serialport#baud()","serialport#baud=()","serialport#break()","serialport::create()","serialport#cts()","serialport#data_bits()","serialport#data_bits=()","serialport#dcd()","serialport#dsr()","serialport#dtr()","serialport#dtr=()","serialport#flow_control()","serialport#flow_control=()","serialport#flush_input()","serialport#flush_output()","serialport#get_modem_params()","serialport#get_signals()","serialport#modem_params()","serialport#modem_params=()","serialport::new()","serialport::open()","serialport#parity()","serialport#parity=()","serialport#read_timeout()","serialport#read_timeout=()","serialport#ri()","serialport#rts()","serialport#rts=()","serialport#set_modem_params()","serialport#signals()","serialport#stop_bits()","serialport#stop_bits=()","serialport#write_timeout()","serialport#write_timeout=()","","",""],"info":[["SerialPort","","SerialPort.html","","<p>This class is used for communication over a serial port. In addition to the methods here, you can use …\n"],["baud","SerialPort","SerialPort.html#method-i-baud","()","<p>Get the current baud rate\n<p>@return [Integer] the current baud rate @see SerialPort#set_modem_params\n"],["baud=","SerialPort","SerialPort.html#method-i-baud-3D","(p1)","<p>Set the baud rate\n<p>@param data_rate [Integer] the baud rate @return [Integer] the original <code>data_rate</code> parameter …\n"],["break","SerialPort","SerialPort.html#method-i-break","(p1)","<p>Send a break for the given time\n<p>@param time [Integer] break time in tenths-of-a-second @return [nil] @note …\n"],["create","SerialPort","SerialPort.html#method-c-create","(p1)","<p>@api private\n<p>@see SerialPort#new @see SerialPort#open\n"],["cts","SerialPort","SerialPort.html#method-i-cts","()","<p>Get the state of the CTS line\n<p>@return [Integer] the state of the CTS line, 0 or 1 @see SerialPort#get_signals …\n"],["data_bits","SerialPort","SerialPort.html#method-i-data_bits","()","<p>Get the current data bits\n<p>@return [Integer] the current number of data bits @see SerialPort#set_modem_params …\n"],["data_bits=","SerialPort","SerialPort.html#method-i-data_bits-3D","(p1)","<p>Set the data bits\n<p>@param data_bits [Integer] the number of data bits @return [Integer] the original <code>data_bits</code> …\n"],["dcd","SerialPort","SerialPort.html#method-i-dcd","()","<p>Get the state of the DCD line\n<p>@return [Integer] the state of the DCD line, 0 or 1 @see SerialPort#get_signals …\n"],["dsr","SerialPort","SerialPort.html#method-i-dsr","()","<p>Get the state of the DSR line\n<p>@return [Integer] the state of the DSR line, 0 or 1 @see SerialPort#get_signals …\n"],["dtr","SerialPort","SerialPort.html#method-i-dtr","()","<p>Get the state of the DTR line\n<p>@note (Windows) DTR is not available @return [Integer] the state of DTR …\n"],["dtr=","SerialPort","SerialPort.html#method-i-dtr-3D","(p1)","<p>Set the state of the DTR line\n<p>@param val [Integer] the desired state of the DTR line, 0 or 1 @return [Integer] …\n"],["flow_control","SerialPort","SerialPort.html#method-i-flow_control","()","<p>Get the flow control flag\n<p>@return [Integer] the flow control flag @see SerialPort#set_flow_control\n"],["flow_control=","SerialPort","SerialPort.html#method-i-flow_control-3D","(p1)","<p>Set the flow control\n<p>@param val [Integer] the flow control flag,\n\n<pre>+NONE+, +HARD+, +SOFT+, or (+HARD+ | +SOFT+)</pre>\n"],["flush_input","SerialPort","SerialPort.html#method-i-flush_input","()","<p>Flush data received but not read.\n<p>@return [Boolean] true on success or false if an error occurs.\n"],["flush_output","SerialPort","SerialPort.html#method-i-flush_output","()","<p>Flush data written but not transmitted.\n<p>@return [Boolean] true on success or false if an error occurs. …\n"],["get_modem_params","SerialPort","SerialPort.html#method-i-get_modem_params","()","<p>Get the configure of the serial port\n<p>@return [Hash] the serial port configuration @see SerialPort#set_modem_params …\n"],["get_signals","SerialPort","SerialPort.html#method-i-get_signals","()","<p>Return a hash with the state of each line status bit. Keys:\n\n<pre>&quot;rts&quot;, &quot;dtr&quot;, &quot;cts&quot;, &quot;dsr&quot;, &quot;dcd&quot;, and &quot;ri&quot;.</pre>\n"],["modem_params","SerialPort","SerialPort.html#method-i-modem_params","()","<p>Get the configure of the serial port\n<p>@return [Hash] the serial port configuration @see SerialPort#set_modem_params …\n"],["modem_params=","SerialPort","SerialPort.html#method-i-modem_params-3D","(*args)","<p>Configure the serial port. You can pass a hash or multiple values as separate arguments. Invalid or unsupported …\n"],["new","SerialPort","SerialPort.html#method-c-new","(port, *params)","<p>Creates a serial port object. Accepts the port identifier and a variable list for configuration as paramaters …\n"],["open","SerialPort","SerialPort.html#method-c-open","(port, *params)","<p>This behaves like SerialPort#new, except that you can pass a block to which the new serial port object …\n"],["parity","SerialPort","SerialPort.html#method-i-parity","()","<p>Get the current parity\n<p>@return [Integer] the current parity @see SerialPort#set_modem_params\n"],["parity=","SerialPort","SerialPort.html#method-i-parity-3D","(p1)","<p>Set the parity\n<p>@param parity [Integer] the parity type @return [Integer] the original <code>parity</code> parameter …\n"],["read_timeout","SerialPort","SerialPort.html#method-i-read_timeout","()","<p>Get the read timeout value\n<p>@return [Integer] the read timeout, in milliseconds @see SerialPort#set_read_timeout …\n"],["read_timeout=","SerialPort","SerialPort.html#method-i-read_timeout-3D","(p1)","<p>Set the timeout value (in milliseconds) for reading. A negative read timeout will return all the available …\n"],["ri","SerialPort","SerialPort.html#method-i-ri","()","<p>Get the state of the RI line\n<p>@return [Integer] the state of the RI line, 0 or 1 @see SerialPort#get_signals …\n"],["rts","SerialPort","SerialPort.html#method-i-rts","()","<p>Get the state of the RTS line\n<p>@return [Integer] the state of RTS line, 0 or 1 @note (Windows) RTS is not …\n"],["rts=","SerialPort","SerialPort.html#method-i-rts-3D","(p1)","<p>Set the state of the RTS line\n<p>@param val [Integer] the state of RTS line, 0 or 1 @return [Integer] the …\n"],["set_modem_params","SerialPort","SerialPort.html#method-i-set_modem_params","(*args)","<p>Configure the serial port. You can pass a hash or multiple values as separate arguments. Invalid or unsupported …\n"],["signals","SerialPort","SerialPort.html#method-i-signals","()","<p>Return a hash with the state of each line status bit. Keys:\n\n<pre>&quot;rts&quot;, &quot;dtr&quot;, &quot;cts&quot;, &quot;dsr&quot;, &quot;dcd&quot;, and &quot;ri&quot;.</pre>\n"],["stop_bits","SerialPort","SerialPort.html#method-i-stop_bits","()","<p>Get the current stop bits\n<p>@return [Integer] the current number of stop bits @see SerialPort#set_modem_params …\n"],["stop_bits=","SerialPort","SerialPort.html#method-i-stop_bits-3D","(p1)","<p>Set the stop bits\n<p>@param stop_bits [Integer] the number of stop bits @return [Integer] the original <code>stop_bits</code> …\n"],["write_timeout","SerialPort","SerialPort.html#method-i-write_timeout","()","<p>Get the write timeout\n<p>@return [Integer] the write timeout, in milliseconds @note (POSIX) write timeouts …\n"],["write_timeout=","SerialPort","SerialPort.html#method-i-write_timeout-3D","(p1)","<p>Set a write timeout\n<p>@param val [Integer] the write timeout in milliseconds @return [Integer] the original …\n"],["LICENSE","","LICENSE.html","","\n<pre>                   GNU GENERAL PUBLIC LICENSE\n                      Version 2, June 1991\n\nCopyright (C) ...</pre>\n"],["README","","README_md.html","","<p>Ruby/SerialPort\n<p><img src=\"https://travis-ci.org/hparra/ruby-serialport.png?branch=v1.2.2\">\n<p>Description …\n"],["Makefile","","ext/native/Makefile.html","","<p>SHELL = /bin/sh\n<p># V=0 quiet, V=1 verbose.  other values don’t work. V = 1 V0 = $(V:0=) Q1 = $(V:1=) …\n"]]}}